> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Allocation



## OpenAPI

````yaml /openapi.json put /v1/workspaces/{workspaceId}/projects/{projectId}/area-allocations
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/area-allocations:
    put:
      tags:
        - Project Area Allocations
      summary: Set Allocation
      operationId: ProjectAreaAllocationsController_setAllocation_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectAreaAllocationDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectAreaAllocationMutationResponseDto'
      security:
        - bearer: []
components:
  schemas:
    UpdateProjectAreaAllocationDto:
      type: object
      properties:
        structureVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        slotId:
          type: string
        areaId:
          type: string
        quantity:
          type: string
          pattern: ^(?:0|[1-9]\d{0,15})(?:\.\d{1,2})?$
        version:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
              maximum: 9007199254740991
            - type: 'null'
      required:
        - structureVersion
        - slotId
        - areaId
        - quantity
        - version
      additionalProperties: false
    ProjectAreaAllocationMutationResponseDto:
      type: object
      properties:
        structureVersion:
          type: number
        allocation:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ProjectAreaAllocationResponseDto'
        slotEffectiveQuantity:
          type: string
        slotQuantity:
          type: string
      required:
        - structureVersion
        - allocation
        - slotEffectiveQuantity
        - slotQuantity
    ProjectAreaAllocationResponseDto:
      type: object
      properties:
        id:
          type: string
        slotId:
          type: string
        areaId:
          type: string
        quantity:
          type: string
        effectiveQuantity:
          type: string
        version:
          type: number
      required:
        - id
        - slotId
        - areaId
        - quantity
        - effectiveQuantity
        - version
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````